//+------------------------------------------------------------------+
//|                                                     Breakout.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//---- input parameters
extern int       MAFast=10;
extern int       MASlow=20;
extern int       StopLoss=20;
extern int       TakeProfit=30;
extern int       PositionSize=1;
extern int       BreakoutPips=5;
extern string    Posture="Bull";

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
if (
      iMA(NULL,MAFast,0,0,MODE_SMA,PRICE_MEDIAN,0)
       > 
      iMA(NULL,MASlow,0,0,MODE_SMA,PRICE_MEDIAN,0)
    ) 
    Posture = "Bull";
if (
     iMA(NULL,MAFast,0,0,MODE_SMA,PRICE_MEDIAN,0)
       < 
     iMA(NULL,MASlow,0,0,MODE_SMA,PRICE_MEDIAN,0)
   )
    Posture = "Bear";

if (Posture == "Bull")

   if (
       Ask > BreakoutPips + iMA(NULL,MAFast,0,0,MODE_SMA,PRICE_MEDIAN,0)
      ) 
         OrderSend(Symbol(),OP_BUY,1,Ask,3,Ask-20,Ask+30,0,16384,0,Green);
   
   
if (Posture == "Bear")   
      
   if (
         Ask < BreakoutPips - iMA(NULL,MAFast,0,0,MODE_SMA,PRICE_MEDIAN,0)
      ) 
         OrderSend(Symbol(),OP_SELL,1,Ask,3,Ask+StopLoss,Ask-TakeProfit,0,16384,0,Red);
   
    
//----
   return(0);
   }
  //+------------------------------------------------------------------+